Commit b4c696bf authored by Karl Wette's avatar Karl Wette
Browse files

Re-add version checks in -uninstalled pkg-config files for top-level build

- for extra version checking, better safe than sorry ...
Original: 4d6524df1e526e63fc42ef9b6157c388421a2099
parent 17dfe8b2
......@@ -4,6 +4,6 @@ abs_top_builddir=@abs_top_builddir@
Name: LALSupport
Description: (uninstalled)
Version: @VERSION@
Requires: lal-uninstalled = @VERSION@
Requires: lal = @VERSION@
Libs: ${abs_top_builddir}/lib/lalsupport/src/liblalsupport.la @ZLIB_LIBS@
Cflags: -I${abs_top_builddir}/include @ZLIB_CFLAGS@
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALBurst
Description: (uninstalled)
Version: @VERSION@
Requires: gsl, lal, libmetaio, lalmetaio, lalsimulation
Requires: gsl, lal >= @LAL_VERSION@, libmetaio, lalmetaio >= @LALMETAIO_VERSION@, lalsimulation >= @LALSIMULATION_VERSION@
Libs: ${abs_top_builddir}/src/liblalburst.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALDetChar
Description: (uninstalled)
Version: @VERSION@
Requires: glib-2.0, gsl, lal, libmetaio, lalmetaio, lalburst
Requires: glib-2.0, gsl, lal >= @LAL_VERSION@, libmetaio, lalmetaio >= @LALMETAIO_VERSION@, lalburst >= @LALBURST_VERSION@
Libs: ${abs_top_builddir}/src/liblaldetchar.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALFrame
Description: (uninstalled)
Version: @VERSION@
Requires: lal, libframe
Requires: lal >= @LAL_VERSION@, libframe
Libs: ${abs_top_builddir}/src/liblalframe.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALInference
Description: (uninstalled)
Version: @VERSION@
Requires: gsl, lal, libmetaio, lalmetaio, lalinspiral, lalpulsar
Requires: gsl, lal >= @LAL_VERSION@, libmetaio, lalmetaio >= @LALMETAIO_VERSION@, lalinspiral >= @LALINSPIRAL_VERSION@, lalpulsar >= @LALPULSAR_VERSION@
Libs: ${abs_top_builddir}/src/liblalinference.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALInspiral
Description: (uninstalled)
Version: @VERSION@
Requires: gsl, lal, libmetaio, lalmetaio, lalsimulation
Requires: gsl, lal >= @LAL_VERSION@, libmetaio, lalmetaio >= @LALMETAIO_VERSION@, lalsimulation >= @LALSIMULATION_VERSION@
Libs: ${abs_top_builddir}/src/liblalinspiral.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALMetaIO
Description: (uninstalled)
Version: @VERSION@
Requires: lal, libmetaio
Requires: lal >= @LAL_VERSION@, libmetaio
Libs: ${abs_top_builddir}/src/liblalmetaio.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALPulsar
Description: (uninstalled)
Version: @VERSION@
Requires: gsl, lal
Requires: gsl, lal >= @LAL_VERSION@
Libs: ${abs_top_builddir}/src/liblalpulsar.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALSimulation
Description: (uninstalled)
Version: @VERSION@
Requires: lal
Requires: lal >= @LAL_VERSION@
Libs: ${abs_top_builddir}/src/liblalsimulation.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALStochastic
Description: (uninstalled)
Version: @VERSION@
Requires: lal, libmetaio, lalmetaio
Requires: lal >= @LAL_VERSION@, libmetaio, lalmetaio >= @LALMETAIO_VERSION@
Libs: ${abs_top_builddir}/src/liblalstochastic.la
Cflags: -I${abs_top_builddir}/include
......@@ -7,6 +7,6 @@ LAL_PYTHON_PATH=@abs_top_builddir@/swig/python/.libs:@LAL_PYTHON_PATH@
Name: LALXML
Description: (uninstalled)
Version: @VERSION@
Requires: gsl, libxml-2.0, lal
Requires: gsl, libxml-2.0, lal >= @LAL_VERSION@
Libs: ${abs_top_builddir}/src/liblalxml.la
Cflags: -I${abs_top_srcdir}/src -I${abs_top_builddir}/src
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment